Bug 144094 - [patch] multimedia/quodlibet: update to 2.2
[patch] multimedia/quodlibet: update to 2.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-19 07:50 UTC by jdm720
Modified: 2010-03-10 17:37 UTC (History)
0 users

See Also:


Attachments
file.diff (46.38 KB, patch)
2010-02-19 07:50 UTC, jdm720
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jdm720 2010-02-19 07:50:01 UTC
- Update to 2.2
- Updated Makefile to use PYDISTUTILS instead of GMAKE
- Updated MASTER_SITES
- Extended pkg-descr and updated WWW
- Added pkg-message with instructions for installing additional plugins
- Removed existing patches (no longer needed) and qlscrobbler.py plugin
- Added patch to insure man pages are installed to proper location (not share/man)
- Added patch to prevent syntax error (non-critical) during install

Removed files:
- files/patch-Makefile
- files/patch-po-Makefile
- files/qlscrobbler.py

Added files:
- pkg-message
- files/patch-gdist__man.py
- files/patch-quodlibet__qltk__config.py

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-02-19 07:50:11 UTC
Maintainer of multimedia/quodlibet,

Please note that PR ports/144094 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144094

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-19 07:50:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2010-02-19 08:32:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 johnson.peter 2010-02-20 07:06:18 UTC
The old MASTER_SITES are no longer mirroring the most recent versions,
so they should be removed (leaving only ${MASTER_SITE_GOOGLE_CODE}).

Otherwise approved.
Comment 5 Martin Wilke freebsd_committer 2010-03-10 17:37:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!